# Generated by Django 2.2.7 on 2019-11-18 13:07

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import utils.models


class Migration(migrations.Migration):

    dependencies = [
        ('notification', '0003_auto_20191116_1248'),
    ]

    operations = [
        migrations.CreateModel(
            name='SubscriptionType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('index_name', models.CharField(max_length=255, unique=True, verbose_name='Index name')),
                ('name', utils.models.TJSONField(blank=True, default=None, help_text='{"en-GB":"some text"}', null=True, verbose_name='name')),
            ],
            options={
                'abstract': False,
            },
            bases=(models.Model, utils.models.TranslatedFieldsMixin),
        ),
        migrations.AddField(
            model_name='subscriber',
            name='subscription_type',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='notification.SubscriptionType'),
        ),
    ]
